﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace DataDisplayBoard.Converter
{
    public class ManipulatorElectircMeterNumConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int temp;
            int.TryParse(value.ToString(), out temp);
            if (parameter.ToString() == "First")
            {
                return (temp & 0x01) > 0;//(int)value
            }
            else if (parameter.ToString() == "Second")
            {
                return (temp & 0x02) > 0;
            }
            else if (parameter.ToString() == "Third")
            {
                return (temp & 0x04) > 0;
            }
            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
