﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace DataDisplayBoard.Converter
{
    public class WareHouseMaterialTypeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int temp;
            int.TryParse(value.ToString(), out temp);
            switch (temp)
            {
                case 1: return "单相电表";
                case 2: return "三相电表";
                case 3: return "互感式电表";
                case 4: return "混用电表";
                default: return "";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value.ToString())
            {
                case "单相电表": return 1;
                case "三相电表": return 2;
                case "互感式电表": return 3;
                case "混用电表": return 4;
                default: return 0;
            }
        }
    }
}
