﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace DataDisplayBoard.Converter
{
    public class WareHouseQuantityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int temp;
            int.TryParse(value.ToString(), out temp);
            switch (temp)//System.Convert.ToInt32(value)
            {
                case 1: return "全部合格";
                case 2: return "部分合格";
                case 3: return "不合格";
                default: return "";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value.ToString())
            {
                case "全部合格": return 1;
                case "部分合格": return 2;
                case "不合格": return 3;
                default: return 0;
            }
        }
    }
}
