﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace DataDisplayBoard.Converter
{
    public class WareHouseStatusConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int temp;
            int.TryParse(value.ToString(), out temp);
            switch (temp)
            {
                case 1: return "满";
                case 2: return "空";
                case 3: return "锁定";
                default: return "空";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value.ToString())
            {
                case "满": return 1;
                case "空": return 2;
                case "锁定": return 3;
                default: return 2;
            }
        }
    }
}
