﻿using PropertyChanged;
using System.Collections.ObjectModel;

namespace DeceiveBarcodeManagement.ViewModel
{
    [AddINotifyPropertyChangedInterface]
    public class MainViewModel
    {
        public ObservableCollection<BaseViewModel> ViewModelCollection { get; set; } = new ObservableCollection<BaseViewModel>();

        public MainViewModel()
        {
            ViewModelCollection.Add(new SinglePhaseMeterViewModel("PMS_Max_SinglePhaseMeter_1", 0));
            ViewModelCollection.Add(new SinglePhaseMeterViewModel("PMS_Max_SinglePhaseMeter_2", 1));
            ViewModelCollection.Add(new SinglePhaseMeterViewModel("PMS_Max_SinglePhaseMeter_3", 2));
        }
    }
}
