﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pms.UserEvent.Model
{
    public class CacheModel
    {
        public int ID { get; set; }

        public int CarID { get; set; }

        public string TaskNo { get; set; }

        public int RowIndex { get; set; }

        public int ColumnIndex { get; set; }

        public int Status { get; set; }

        public string Barcode { get; set; }

        public int Quantity { get; set; }

        public CacheModel(DataRow dataRow)
        {
            ID = Convert.ToInt32(dataRow["ID"]); CarID = Convert.ToInt32(dataRow["CarID"]);
            TaskNo = dataRow["TaskNo"]?.ToString(); Barcode = dataRow["Barcode"]?.ToString();
            RowIndex = Convert.ToInt32(dataRow["RowIndex"]); ColumnIndex = Convert.ToInt32(dataRow["ColumnIndex"]);
            Status = Convert.ToInt32(dataRow["Status"]); Quantity = Convert.ToInt32(dataRow["Quantity"]);
        }

        public static List<CacheModel> ToList(DataTable dataTable)
        {
            if (dataTable == null || dataTable.Rows.Count == 0) { return null; }
            List<CacheModel> CacheList = new List<CacheModel>();
            foreach (DataRow item in dataTable.Rows)
            {
                CacheList.Add(new CacheModel(item));
            }
            return CacheList;
        }
    }
}
