﻿using System;
using System.Collections.Generic;
using System.Data;

namespace Pms.UserEvent.Model
{
    public class DeceiveModel
    {
        public string EpitopeNumber { get; set; }

        public string TaskNo { get; set; }

        public int RowIndex { get; set; }

        public int ColumnIndex { get; set; }

        public int Status { get; set; }

        public string Barcode { get; set; }

        public int Quantity { get; set; }

        public DeceiveModel()
        {

        }

        public DeceiveModel(DataRow dataRow)
        {
            RowIndex = Convert.ToInt32(dataRow["RowIndex"]); ColumnIndex = Convert.ToInt32(dataRow["ColumnIndex"]);
            Status = Convert.ToInt32(dataRow["Status"]); Barcode = dataRow["Barcode"]?.ToString();
            Quantity = Convert.ToInt32(dataRow["Quantity"]); EpitopeNumber = dataRow["EpitopeNumber"]?.ToString();
            TaskNo = dataRow["TaskNo"]?.ToString();
        }

        public static List<DeceiveModel> ToList(DataTable dataTable)
        {
            List<DeceiveModel> DeceiveList = new List<DeceiveModel>();
            if (dataTable == null || dataTable.Rows.Count == 0) { return null; }
            foreach (DataRow item in dataTable.Rows)
            {
                DeceiveList.Add(new DeceiveModel(item));
            }
            return DeceiveList;
        }
    }
}
