﻿using System;
using System.Data;

namespace Pms.UserEvent.Model
{
    public class ExportModel
    {
        public string ExportName { get; set; }

        public string TaskNo { get; set; }

        public string PileNo { get; set; }

        public int MaterialType { get; set; }

        public int LayerNumber { get; set; }

        public int TopLayerNumber { get; set; }

        public int Quantity { get; set; }

        public int BFinished { get; set; }

        public ExportModel(DataRow dataRow)
        {
            ExportName = dataRow["ExportName"]?.ToString(); TaskNo = dataRow["TaskNo"]?.ToString();
            PileNo = dataRow["PileNo"]?.ToString(); MaterialType = Convert.ToInt32(dataRow["MaterialType"]);
            LayerNumber = Convert.ToInt32(dataRow["LayerNumber"]); TopLayerNumber = Convert.ToInt32(dataRow["TopLayerNumber"]);
            Quantity = Convert.ToInt32(dataRow["Quantity"]); BFinished = Convert.ToInt32(dataRow["BFinished"]);
        }
    }
}
