﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pms.UserEvent.Model
{
    public class MesMoveTaskModel
    {
        public int TaskID { get; set; }

        public string PileNo { get; set; }

        public string StartStation { get; set; }

        public string EndStation { get; set; }

        public int TaskStatus { get; set; }

        public MesMoveTaskModel(DataRow dataRow)
        {
            TaskID = Convert.ToInt32(dataRow["ID"]); PileNo = dataRow["PileNo"]?.ToString();
            StartStation = dataRow["StartStation"]?.ToString(); EndStation = dataRow["EndStation"]?.ToString();
            TaskStatus = Convert.ToInt32(dataRow["TaskStatus"]);
        }

        public static List<MesMoveTaskModel> ToList(DataTable dataTable)
        {
            List<MesMoveTaskModel> MesMoveTaskList = new List<MesMoveTaskModel>();
            if (dataTable == null || dataTable.Rows.Count == 0) { return null; }
            foreach (DataRow item in dataTable.Rows)
            {
                MesMoveTaskList.Add(new MesMoveTaskModel(item));
            }
            return MesMoveTaskList;
        }
    }
}
