﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pms.UserEvent.Model
{
    public class MesPWTaskModel
    {
        public int TaskID { get; set; }

        public string TaskNo { get; set; }

        public string PileNo { get; set; }

        public string StationNo { get; set; }

        public int MaterialType { get; set; }

        public string TaskStatus { get; set; }

        public MesPWTaskModel(DataRow dataRow)
        {
            TaskID = Convert.ToInt32(dataRow["ID"]?.ToString());
            TaskNo = dataRow["TaskNo"]?.ToString(); PileNo = dataRow["PileNo"]?.ToString();
            StationNo = dataRow["StationNo"]?.ToString(); MaterialType = Convert.ToInt32(dataRow["MaterialType"]);
            TaskStatus = dataRow["TaskStatus"]?.ToString();
        }

        public static List<MesPWTaskModel> ToList(DataTable dataTable)
        {
            if (dataTable == null || dataTable.Rows.Count == 0) { return null; }
            List<MesPWTaskModel> MesTaskList = new List<MesPWTaskModel>();
            foreach (DataRow item in dataTable.Rows)
            {
                MesPWTaskModel mesTaskModel = new MesPWTaskModel(item);
                MesTaskList.Add(mesTaskModel);
            }
            return MesTaskList;
        }
    }
}
