﻿using MaxCommunication.DataBase.SQLServer;
using Pms.UserEvent.Config;
using Pms.UserEvent.Model;
using System.Data;

namespace Pms.UserEvent.Service
{
    public class ExportService
    {
        public SQLServerExtension sqlServerExtension_Pms { get; set; }

        public ExportService(string ConnectString)
        {
            sqlServerExtension_Pms = new SQLServerExtension(ConnectString);
        }

        public ExportModel GetExportModel(string ExportName)
        {
            DataTable dataTable = sqlServerExtension_Pms.QueryTable("PMS_Max_Export", $"where ExportName = '{ExportName}'");
            sqlServerExtension_Pms.Disconnect();
            if (dataTable == null || dataTable.Rows.Count == 0) { return null; }
            return new ExportModel(dataTable.Rows[0]);
        }

        public void UpdateExportModel(string ExportName)
        {
            string content = "TaskNo = '0',PileNo= '0',MaterialType = 0,LayerNumber = 0,TopLayerNumber = 0,Quantity = 0,BFinished = 0";
            sqlServerExtension_Pms.UpdateRecord("PMS_Max_Export", content, $"where ExportName = '{ExportName}'");
            sqlServerExtension_Pms.Disconnect();
        }
    }
}
