﻿using MaxCommunication.DataBase.SQLServer;
using System.Data;

namespace Pms.UserEvent.Service
{
    public class WorkOrderService
    {
        public SQLServerExtension sqlServerExtension_Pms { get; set; }

        public WorkOrderService(string ConnectString)
        {
            sqlServerExtension_Pms = new SQLServerExtension(ConnectString);
        }

        public bool JudegementWorkOrderBFinshed(string TaskNo)
        {
            DataTable dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}'");
            if (dt == null || dt.Rows.Count == 0) { return true; }
            //dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}' and TaskStatus < 2 and PocketWatchNumber < TaskNumber");//PocketWatchNumber < TaskNumber
            dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}' and TaskStatus < 2 and ExcerptNumber < TaskNumber");
            if (dt == null || dt.Rows.Count == 0) { return true; }
            sqlServerExtension_Pms.Disconnect(); return false;
        }
        public void UpdateExcerptWatchNumber(string TaskNo, int ExcerptNumber)
        {
            sqlServerExtension_Pms.UpdateRecord("PMS_Max_WorkOrder", $"ExcerptNumber =  ExcerptNumber + {ExcerptNumber}", $"where WorkOrderID = '{TaskNo}'");
            sqlServerExtension_Pms.Disconnect();
        }

        public bool JudegementPocketWatchBFinshed(string TaskNo)
        {
            DataTable dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}'");
            if (dt == null || dt.Rows.Count == 0) { return true; }
            //dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}' and TaskStatus < 2 and PocketWatchNumber < TaskNumber");//PocketWatchNumber < TaskNumber
            dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}' and TaskStatus < 2 and PocketWatchNumber < TaskNumber");
            if (dt == null || dt.Rows.Count == 0) { return true; }
            sqlServerExtension_Pms.Disconnect(); return false;
        }
        public void UpdatePocketWatchNumber(string TaskNo, int PocketWatchNumber)
        {
            sqlServerExtension_Pms.UpdateRecord("PMS_Max_WorkOrder", $"PocketWatchNumber =  PocketWatchNumber + {PocketWatchNumber}", $"where WorkOrderID = '{TaskNo}'");
            sqlServerExtension_Pms.Disconnect();
        }

        public int GetRemainCountNeedToPocket(string TaskNo)
        {
            DataTable dt = sqlServerExtension_Pms.QueryTable("PMS_Max_WorkOrder", $"where WorkOrderID = '{TaskNo}'");
            if (dt == null || dt.Rows.Count == 0) { return 0; }
            int tasknumber = (int)dt.Rows[0]["TaskNumber"];
            int pocketwatchnumber = (int)dt.Rows[0]["PocketWatchNumber"];
            sqlServerExtension_Pms.Disconnect(); return tasknumber- pocketwatchnumber;
        }

        public void DeleteCompleteWorkOrder()
        {
            sqlServerExtension_Pms.DeleteRecord("PMS_Max_WorkOrder", $"where ExcerptNumber>=TaskNumber");
            sqlServerExtension_Pms.Disconnect();
        }

    }
}
