﻿using Microsoft.Practices.Prism.Commands;
using PropertyChanged;
using System.Data;
using TrayBarcodeManagement.Model;
using MaxCommunication.DataBase.SQLServer;

namespace TrayBarcodeManagement.ViewModel
{
    [AddINotifyPropertyChangedInterfaceAttribute]
    public class DetailTrayBarcodeViewModel
    {
        public TrayBarcodeModel TrayBarcodeModel { get; set; }

        public DelegateCommand SaveCommand { get; set; }

        public bool ReadOnly { get; set; }

        public DetailTrayBarcodeViewModel(TrayBarcodeModel TrayBarcodeModel, bool ReadOnly)
        {
            this.TrayBarcodeModel = TrayBarcodeModel; this.ReadOnly = ReadOnly;
            SaveCommand = new DelegateCommand(SaveTrayBarcode);
        }

        public void SaveTrayBarcode()
        {
            SQLServerExtension sqlServerExtention = new SQLServerExtension("server =.; uid=sa;pwd=123;database=PMS_KLDZ_6324");
            DataTable dataTable = sqlServerExtention.QueryTable("PMS_Max_TrayBarcode", $"where TrayBarcode = '{TrayBarcodeModel.TrayBarcode}'");
            if (dataTable != null && dataTable.Rows.Count != 0)
            {
                string values = $"Barcode1 = '{TrayBarcodeModel.Barcode1}',Barcode2 = '{TrayBarcodeModel.Barcode2}',Barcode3 = '{TrayBarcodeModel.Barcode3}'," +
                    $"Barcode4 = '{TrayBarcodeModel.Barcode4}',Barcode5 = '{TrayBarcodeModel.Barcode5}',Barcode6 = '{TrayBarcodeModel.Barcode6}'," +
                    $"Barcode7 = '{TrayBarcodeModel.Barcode7}',Barcode8 = '{TrayBarcodeModel.Barcode8}',Barcode9 = '{TrayBarcodeModel.Barcode9}'," +
                    $"Barcode10 = '{TrayBarcodeModel.Barcode10}',Barcode11 = '{TrayBarcodeModel.Barcode11}',Barcode12 = '{TrayBarcodeModel.Barcode12}'";
                sqlServerExtention.UpdateRecord("PMS_Max_TrayBarcode", values, $"where TrayBarcode = '{TrayBarcodeModel.TrayBarcode}'");
            }
            else
            {
                string values = $"0,'{TrayBarcodeModel.TrayBarcode}','{TrayBarcodeModel.Barcode1}','{TrayBarcodeModel.Barcode2}','{TrayBarcodeModel.Barcode3}'," +
                    $"'{TrayBarcodeModel.Barcode4}','{TrayBarcodeModel.Barcode5}','{TrayBarcodeModel.Barcode6}','{TrayBarcodeModel.Barcode7}','{TrayBarcodeModel.Barcode8}'," +
                    $"'{TrayBarcodeModel.Barcode9}','{TrayBarcodeModel.Barcode10}','{TrayBarcodeModel.Barcode11}','{TrayBarcodeModel.Barcode12}'";
                sqlServerExtention.AddRecord("PMS_Max_TrayBarcode", values);
            }
            sqlServerExtention.Disconnect();
        }
    }
}
