﻿using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace DataDisplayBoard.Converter
{
    public class TaskColumnDisplayConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value.ToString() == "挂表任务")
            {
                switch (parameter.ToString())
                {
                    case "StartStation": return Visibility.Collapsed;
                    case "EndStation": return Visibility.Collapsed;
                    case "TaskType": return Visibility.Collapsed;
                }
            }
            else if (value.ToString() == "摘表任务")
            {
                switch (parameter.ToString())
                {
                    case "StartStation": return Visibility.Collapsed;
                    case "EndStation": return Visibility.Collapsed;
                }
            }
            else
            {
                switch (parameter.ToString())
                {
                    case "StationNo": return Visibility.Collapsed;
                    case "TaskType": return Visibility.Collapsed;
                    case "MaterialType": return Visibility.Collapsed;
                }
            }
            return Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
