﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace DataDisplayBoard.Converter
{
    public class WareHouseColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int temp;
            int.TryParse(value.ToString(), out temp);
            switch (temp)
            {
                case 1: return new SolidColorBrush(Colors.LightSkyBlue);
                case 2: return new SolidColorBrush(Colors.White);
                case 3: return new SolidColorBrush(Colors.Red);
                default: return new SolidColorBrush(Colors.Black);
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
