﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace DataDisplayBoard.Converter
{
    public class WareHouseFinishConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int temp;
            int.TryParse(value.ToString(), out temp);
            return temp == 1 ? "完成" : "未完成";//System.Convert.ToInt32(value)
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value.ToString() == "完成" ? 1 : 0;
        }
    }
}
