﻿using DataDisplayBoard.ViewModel;
using System.Windows.Controls;

namespace DataDisplayBoard.View
{
    /// <summary>
    /// LocationView.xaml 的交互逻辑
    /// </summary>
    public partial class LocationView : UserControl
    {
        public LocationView()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            LocationViewModel locationViewModel = DataContext as LocationViewModel;
            DetailLocationView detailLocationView = new DetailLocationView();
            detailLocationView.DataContext = new DetailLocationViewModel(locationViewModel.LocationModel);
            detailLocationView.Show();
        }
    }
}
