﻿using DataDisplayBoard.Model;
using Microsoft.Practices.Prism.Commands;
using PropertyChanged;
using System;
using System.ComponentModel;

namespace DataDisplayBoard.ViewModel
{
    [AddINotifyPropertyChangedInterface]
    public class LoginViewModel : BaseViewModel
    {
        public LoginModel LoginModel { get; set; } = new LoginModel();

        public DelegateCommand LoginCommand => new DelegateCommand(Login);

        public static event EventHandler<PropertyChangedEventArgs> StaticPropertyChanged;

        private static bool loginSuccess;

        public static bool LoginSuccess
        {
            get { return loginSuccess; }
            set
            {
                loginSuccess = value;
                StaticPropertyChanged?.Invoke(null, new PropertyChangedEventArgs(nameof(LoginSuccess)));
            }
        }

        public LoginViewModel()
        {
            LoginModel.UserName = "Casun";
            LoginModel.Password = "Casun36689";
        }

        public void Login()
        {
            LoginSuccess = LoginModel.UserName == "Casun" && LoginModel.Password == "Casun36689";
        }
    }
}
