﻿using System;
using System.Data;

namespace Pms.UserEvent.Model
{
    public class CarModel
    {
        public int CarID { get; set; }

        public string TaskNo { get; set; }

        public string FirstPileNo { get; set; }

        public string SecondPileNo { get; set; }

        public int PocketNumber { get; set; }

        public int PullNumber { get; set; }

        public string Barcode1 { get; set; }

        public string Barcode2 { get; set; }

        public string Barcode3 { get; set; }

        public int FirstRollLayer { get; set; }

        public int FirstTopLayerNumber { get; set; }

        public int FirstRollMaterialType { get; set; }

        public int FirstRollMaterialQuantity { get; set; }

        public int FirstRollBFinished { get; set; }

        public int SecondRollLayer { get; set; }

        public int SecondTopLayerNumber { get; set; } 

        public int SecondRollMaterialType { get; set; }

        public int SecondRollMaterialQuantity { get; set; }

        public int SecondRollBFinished { get; set; }

        public CarModel(DataRow dataRow)
        {
            CarID = Convert.ToInt32(dataRow["CarID"]); TaskNo = dataRow["TaskNo"]?.ToString();
            FirstPileNo = dataRow["FirstPileNo"]?.ToString(); SecondPileNo = dataRow["SecondPileNo"]?.ToString();
            PocketNumber = Convert.ToInt32(dataRow["PocketNumber"]); PullNumber = Convert.ToInt32(dataRow["PullNumber"]);

            Barcode1 = dataRow["Barcode1"]?.ToString(); Barcode2 = dataRow["Barcode2"]?.ToString(); Barcode3 = dataRow["Barcode3"]?.ToString();

            FirstRollLayer = Convert.ToInt32(dataRow["FirstRollLayer"]); FirstTopLayerNumber = Convert.ToInt32(dataRow["FirstTopLayerNumber"]);
            FirstRollMaterialType = Convert.ToInt32(dataRow["FirstRollMaterialType"]); FirstRollMaterialQuantity = Convert.ToInt32(dataRow["FirstRollMaterialQuantity"]);
            FirstRollBFinished = Convert.ToInt32(dataRow["FirstRollBFinished"]);

            SecondRollLayer = Convert.ToInt32(dataRow["SecondRollLayer"]); SecondTopLayerNumber = Convert.ToInt32(dataRow["SecondTopLayerNumber"]);
            SecondRollMaterialType = Convert.ToInt32(dataRow["SecondRollMaterialType"]); SecondRollMaterialQuantity = Convert.ToInt32(dataRow["SecondRollMaterialQuantity"]);
            SecondRollBFinished = Convert.ToInt32(dataRow["SecondRollBFinished"]);
        }
    }
}
